> For the complete documentation index, see [llms.txt](https://api.esignon.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.esignon.net/jp-1/workflow/downloadurl.md).

# ダウンロードURL作成

会社 ID と文書の ID を通じて文書をダウンロードできる URL を取得します。

Authorizationに入力されたToken値を持つユーザーが閲覧できる文書のみアクセス可能です。（ログインしたユーザー）

作成されたURLは5分間維持されます。

## workflow\_download

<mark style="color:green;">`POST`</mark> `https://docs.esignon.net/workflow/download`

#### Headers

| Name          | Type   | Description         |
| ------------- | ------ | ------------------- |
| Authorization | string | **esignon {token}** |
| Content-Type  | string | application/json    |

#### Request Body

| Name         | Type   | Description      |
| ------------ | ------ | ---------------- |
| workflow\_id | string | 完了した文書のID        |
| client\_id   | string | esignonから発行されたID |

{% tabs %}
{% tab title="200 " %}

```javascript
{
	"header":{
		"response_code": "",
		"result_code": "00",
		"result_msg": "Success",
		"session_id": ""
	},
	"body":{
		"cert_url": "{履歴認証書URL}",
		"doc_url": "{完了した文書URL}",
		"workflow_name": "{完了した文書名}"
	}
}
```

{% endtab %}
{% endtabs %}

Example) Request Body

```javascript
{
  "client_id":"{esignonから発行されたID}",
	"workflow_id": "{完了した文書のID}"
}
```

Example) Response Body / Error

```javascript
{
    "header":{
        "response_code": "",
        "result_code": "{応答コード}",
        "result_msg": "{コードに沿ったメッセージ}",
        "session_id": ""
    },
    "body":{}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.esignon.net/jp-1/workflow/downloadurl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
